/*
	KLBFLSH2.C

   KLB controller for character displays

   Turns LED's on and off without conflicting with keyboard driver. 
*/

#use "default.h"

#ifdef LK_COLS
#undef LK_COLS
#endif
#define LK_COLS 20

#ifdef LK_LINES
#undef LK_LINES
#endif
#define LK_LINES 4

#use "kdm.lib"

main ()
{
   int k, l;

   lk_init_keypad ();

   while (1)
   {
      lk_led (3);
      for (k = 0; k < 20000; ++k) hitwd();

      lk_led (2);
      for (k = 0; k < 20000; ++k) hitwd();

      lk_led (1);
      for (k = 0; k < 20000; ++k) hitwd();

      lk_led (0);
      for (k = 0; k < 30000; ++k) hitwd();

   }
}